Subject: Re: [PATCH net-next] rtnetlink: remove unused ifla_stats_policy

From: Roopa Prabhu <[email-masked]>
Date: Thu, 08 Sep 2016 19:56:47 -0700

On 9/8/16, 5:23 PM, David Miller wrote:
> From: Stephen Hemminger <[email-masked]>
> Date: Wed, 7 Sep 2016 13:57:36 -0700
>
>> This structure is defined but never used. Flagged with W=1
>>
>> Signed-off-by: Stephen Hemminger <[email-masked]>
> This comes from commit 10c9ead9f3c6bb24bddc9a96681f7d58e6623966
> ("rtnetlink: add new RTM_GETSTATS message to dump link stats")
>
> Roopa, did you intentionally put this here unreferenced for the
> purposes or documentation or something like that?

I went back and looked at all my submissions to remember why i had it.
I don't seem to have used it anywhere...but i had expressed an intent to use
it to parse filter attributes in incoming stats requests in my first few versions.

I possibly just forgot to drop it after i moved to a mask to filter incoming stats requests.
thanks for checking...

Acked-by: Roopa Prabhu <[email-masked]>

and thanks stephen for cleaning this up.